View Issue Details

IDProjectCategoryView StatusLast Update
0002051Far ManagerCopy/Movepublic2012-03-19 16:15
ReporterArtyAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Platformx64OSWindowsOS VersionSeven SP1
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002051: Ошибка при копировании на сетевую шару системы с CentOS-5.4
DescriptionИногда при копировании каталогов с NTFS диска на сетевую шару системы с CentOS-5.4 возникает ошибка:
╔═══════════════════════════ Ошибка ════════════════════════════╗
║ The mounted file system does not support extended attributes. ║
║ Ошибка создания папки ║
║ \\SERVER\Буфер обмена\Katerina\Arty\CLTest ║
╟───────────────────────────────────────────────────────────────╢
║ { Повторить } [ Пропустить ] [ Отменить ] ║
╚═══════════════════════════════════════════════════════════════╝
Тест ошибки по F3:
LastError: 0x0000011A - The mounted file system does not support extended attributes.
NTSTATUS: 0xC000004F - An operation involving EAs failed because the file system does not support EAs.
Steps To Reproduce1. Пытаемся скопировать каталог на сетевую шару системы с CentOS-5.4.
Повторяется не со всеми каталогами.
Additional InformationFAR v3.0 build 2545 x86
TagsNo tags attached.
Build2555

Activities

zg

2012-03-15 15:10

developer   bugnote:0008770

и в чём ошибка в фаре?

Arty

2012-03-16 12:23

reporter   bugnote:0008775

Возможно это и не ошибка FAR, но на такие мысли наводит то, что множество других программ копируют такие каталоги без проблем (виндовые Explorer и robocopy, TeraCopy, Total Commander).
Также пользователь может просто не знать, какая ось используется на другом компьютере и для него это выглядит просто багом в программе.

DrKnS

2012-03-16 17:36

administrator   bugnote:0008776

Так попробуй:

Index: farwinapi.cpp
===================================================================
--- farwinapi.cpp (revision 7715)
+++ farwinapi.cpp (working copy)
@@ -1092,10 +1092,16 @@
     NTPath NtTemplateDirectory(TemplateDirectory);
     NTPath NtNewDirectory(NewDirectory);
     BOOL Result = TemplateDirectory.IsEmpty()?CreateDirectory(NtNewDirectory, SecurityAttributes):CreateDirectoryEx(NtTemplateDirectory, NtNewDirectory, SecurityAttributes);
- if(!Result && ElevationRequired(ELEVATION_MODIFY_REQUEST))
+ if(!Result)
     {
- Result = Elevation.fCreateDirectoryEx(NtTemplateDirectory, NtNewDirectory, SecurityAttributes);
- }
+ if (ElevationRequired(ELEVATION_MODIFY_REQUEST))
+ {
+ Result = Elevation.fCreateDirectoryEx(NtTemplateDirectory, NtNewDirectory, SecurityAttributes);
+ }
+ else
+ {
+ Result = CreateDirectory(NtNewDirectory, SecurityAttributes);
+ }
     return Result;
 }

Arty

2012-03-19 12:49

reporter   bugnote:0008781

С этим патчем работает.

Issue History

Date Modified Username Field Change
2012-03-14 13:32 Arty New Issue
2012-03-15 15:10 zg Note Added: 0008770
2012-03-16 12:23 Arty Note Added: 0008775
2012-03-16 17:36 DrKnS Note Added: 0008776
2012-03-19 12:49 Arty Note Added: 0008781
2012-03-19 16:15 DrKnS Build => 2555
2012-03-19 16:15 DrKnS Status new => closed
2012-03-19 16:15 DrKnS Assigned To => DrKnS
2012-03-19 16:15 DrKnS Resolution open => fixed
2012-03-19 16:15 DrKnS Fixed in Version => 3.0